<div class="logo">
  <a class="simple-text logo-normal">
    <div class="pad">
        <span class="logo-normal"><img src="/content/images/logo5.png" width="240" height="40"/></span>
    </div>
  </a>
</div>

<div class="sidebar-wrapper">
    <div class="user">
        <div class="photo" [ngSwitch]="getImageUrl()">
            <span *ngIf="getImageUrl()">
                <img [src]="getImageUrl()" class="profile-image rounded-circle" alt="Avatar">
            </span>
            <span  *ngIf="!getImageUrl()">
                <img src="/content/img/default-avatar.png" alt="">
            </span>
        </div>
        <div class="user-info">
            <a data-toggle="collapse" href="#collapseProfile" class="collapsed">
                <span>
                    {{getAccountName()}}<b class="caret"></b>
                </span>
            </a>
            <div class="collapse" id="collapseProfile">
                <ul class="nav">
                    <li class="nav-item">
                        <a routerLink="account/settings" class="nav-link" routerLinkActive="active">
                            <span class="sidebar-mini"><i class="material-icons">face</i></span>
                            <span class="sidebar-normal" jhiTranslate="global.menu.account.settings">Settings</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a routerLink="account/password" class="nav-link" routerLinkActive="active">
                            <span class="sidebar-mini"><i class="material-icons">lock_outline</i></span>
                            <span class="sidebar-normal" jhiTranslate="global.menu.account.password">Password</span>
                        </a>
                    </li>
                </ul>
            </div>
            
        </div>
    </div>
    <div *ngIf="isMobileMenu()">
      <!-- <form class="navbar-form">
        <span class="bmd-form-group"><div class="input-group no-border">
          <input type="text" value="" class="form-control" placeholder="Search...">
          <button mat-raised-button type="submit" class="btn btn-white btn-round btn-just-icon">
            <i class="material-icons">search</i>
            <div class="ripple-container"></div>
          </button>
        </div></span>
      </form> -->
      <!-- <ul class="nav navbar-nav nav-mobile-menu">
        <li class="nav-item">
          <a class="nav-link" routerLink="/">
            <i class="material-icons">dashboard</i>
            <p>
              <span class="d-lg-none d-md-block">Stats</span>
            </p>
          </a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link" href="#pablo" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="material-icons">notifications</i>
            <span class="notification">5</span>
            <p>
              <span class="d-lg-none d-md-block">Some Actions</span>
            </p>
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item" href="#">Mike John responded to your email</a>
            <a class="dropdown-item" href="#">You have 5 new tasks</a>
            <a class="dropdown-item" href="#">You're now friend with Andrew</a>
            <a class="dropdown-item" href="#">Another Notification</a>
            <a class="dropdown-item" href="#">Another One</a>
          </div>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#pablo">
            <i class="material-icons">person</i>
            <p>
              <span class="d-lg-none d-md-block">Account</span>
            </p>
          </a>
        </li>
      </ul> -->
    </div>
    <ul class="nav">
        <li routerLinkActive="active" *ngFor="let menuitem of menuItems" class="nav-item" [routerLinkActiveOptions]="{exact: true}">
            <a [routerLink]="[menuitem.path]" *ngIf="menuitem.type === 'link'" class="nav-link">
                <i class="material-icons">{{menuitem.icontype}}</i>
                <p><span jhiTranslate="global.menu.{{menuitem.translate}}">{{menuitem.title}}</span></p>
            </a>

            <a data-toggle="collapse" href="#{{menuitem.collapse}}" *ngIf="menuitem.type === 'sub'" (click)="updatePS()" class="nav-link">
                <i class="material-icons">{{menuitem.icontype}}</i>
                <p><span jhiTranslate="global.menu.{{menuitem.translate}}">{{menuitem.title}}</span><b class="caret"></b></p>
            </a>

            <div id="{{menuitem.collapse}}" class="collapse" *ngIf="menuitem.type === 'sub'">
                <ul class="nav">
                    <li routerLinkActive="active" *ngFor="let childitem of menuitem.children" class="nav-item">
                        <a [routerLink]="[childitem.path]" class="nav-link">
                            <span class="sidebar-mini">{{childitem.ab}}</span>
                            <span class="sidebar-normal" jhiTranslate="global.menu.{{childitem.translate}}">{{childitem.title}}</span>
                        </a>
                    </li>
                </ul>
            </div>
        </li>
        
        <!-- <li class="nav-item">
            <a class="nav-link" (click)="logout()" id="logout">
                <i class="material-icons">exit_to_app</i>
                <span class="sidebar-normal" jhiTranslate="global.menu.account.logout">Sign out</span>
            </a>
        </li> -->
    </ul>
</div>
